Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.context
Class AbstractTilesApplicationContextFactory

    java.lang.Object
      org.apache.tiles.context.AbstractTilesApplicationContextFactory

Direct Known Subclasses:
  ChainedTilesApplicationContextFactory, PortletTilesApplicationContextFactory, ServletTilesApplicationContextFactory, WildcardServletTilesApplicationContextFactory

Deprecated. Create an instance of `TilesApplicationContext` yourself, by implementing `TilesInitializer` or extending `AbstractTilesInitializer` and overriding `createTilesApplicationContext` method.

    public abstract class AbstractTilesApplicationContextFactory

extends java.lang.Object

Abstract factory to create factories for `TilesApplicationContext`.

Since:
  2.1.1
Version:
  $Rev: 797540 $ $Date: 2009-07-24 17:42:00 +0200 (ven, 24 lug 2009) $

Field Summary
`static java.lang.String` | `APPLICATION_CONTEXT_FACTORY_INIT_PARAM` Deprecated. Initialization parameter that represents the context factory class name.

Constructor Summary
`AbstractTilesApplicationContextFactory()` Deprecated.

Method Summary
`abstract TilesApplicationContext` | `createApplicationContext(java.lang.Object context)` Deprecated. Create a TilesApplicationContext for the given context.
`static AbstractTilesApplicationContextFactory` | `createFactory(TilesApplicationContext preliminaryContext)` Deprecated. Creates the Tiles application context factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_CONTEXT_FACTORY_INIT_PARAM

    public static final java.lang.String APPLICATION_CONTEXT_FACTORY_INIT_PARAM

  Deprecated.
  Initialization parameter that represents the context factory class name.

  Since:
    2.1.1
  See Also:
    Constant Field Values

Constructor Detail

### AbstractTilesApplicationContextFactory

    public AbstractTilesApplicationContextFactory()

  Deprecated.

Method Detail

### createApplicationContext

    public abstract TilesApplicationContext createApplicationContext(java.lang.Object context)

  Deprecated.
  Create a TilesApplicationContext for the given context.

  Parameters:
    `context` - The (application) context to use.
  Returns:
    TilesApplicationContext The Tiles application context.
  Since:
    2.1.1

### createFactory

    public static AbstractTilesApplicationContextFactory createFactory(TilesApplicationContext preliminaryContext)

  Deprecated.
  Creates the Tiles application context factory.

  Parameters:
    `preliminaryContext` - The preliminary `TilesApplicationContext` that allows access to the initialization parameters.
  Returns:
    The factory.
  Since:
    2.1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.